Skip to main content
PUT
/
webhook
Update a webhook
curl --request PUT \
  --url https://api.fuse.io/api/v0/notifications/webhook \
  --header 'API-SECRET: <api-secret>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "webhookId": "<string>",
  "webhookUrl": "<string>",
  "eventType": "<string>"
}
'
{
  "webhookId": "<string>",
  "webhookUrl": "<string>",
  "eventType": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.fuse.io/llms.txt

Use this file to discover all available pages before exploring further.

Headers

API-SECRET
string
required

The secret API key for authentication.

Query Parameters

apiKey
string
required

The public API key for authentication.

Body

application/json
webhookId
string
webhookUrl
string
eventType
string

Response

Webhook successfully updated.

webhookId
string
webhookUrl
string
eventType
string